Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 585648 - udev startup noise/errors
Summary: udev startup noise/errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udev
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Karel Volný
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-25 11:33 UTC by Gordan Bobic
Modified: 2010-11-15 14:50 UTC (History)
3 users (show)

Fixed In Version: udev-147-2.19.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 14:50:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gordan Bobic 2010-04-25 11:33:03 UTC
Description of problem:
udev startup reports several non-fatal error messages.

Version-Release number of selected component (if applicable):
udev-147-2.6.el6.x86_64

How reproducible:
Every time. Visible on every boot (with rhgb disabled, obviously).

  
Actual results:
Several errors like the following come up:
usb_id[562]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2.2/4-2.2:1.0/input/input8/mouse2'
usb_id[563]: unable to access '/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2.2/4-2.2:1.0/input/input8/event8'

Expected results:
Startup with no errors.

Additional info:
This issue is also apparent in Fedora 12 with udev package:
udev-145-20.fc12.x86_64

Comment 2 RHEL Program Management 2010-04-25 13:22:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Harald Hoyer 2010-06-29 10:39:43 UTC
udev-147-2.19.el6

Comment 6 Karel Volný 2010-10-06 13:14:00 UTC
I don't get these messages, so I can't verify ...

however, there is the patch udev-147-no-usb_id-err.patch which changes the logging from error to info

-               err(udev, "unable to access '%s'\n", devpath);                                                                                                                  
+               info(udev, "unable to access '%s'\n", devpath);                                                                                                                 

and it applies cleanly, see for example here:
http://download.devel.redhat.com/brewroot/packages/udev/147/2.29.el6/data/logs/i686/build.log

+ echo 'Patch #118 (udev-147-no-usb_id-err.patch):'
Patch #118 (udev-147-no-usb_id-err.patch):
+ /bin/cat /builddir/build/SOURCES/udev-147-no-usb_id-err.patch
+ /usr/bin/patch -s -p1 --fuzz=0
+ echo 'Patch #119 (udev-147-virtio-blk-patch_id.patch):'

Comment 7 releng-rhel@redhat.com 2010-11-15 14:50:53 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.